CAN_PLAYER(1)

NAME
can_player - CAN data player

DESCRIPTION
usage: player.py [-h] [-c CHANNEL]

    [-i {canalystii,cantact,etas,gs_usb,iscan,ixxat,kvaser,neousys,neovi,nican,nixnet,pcan,robotell,seeedstudio,serial,slcan,socketcan,socketcand,systec,udp_multicast,usb2can,vector,virtual}] [-b BITRATE] [--fd] [--data_bitrate DATA_BITRATE] [-f LOG_FILE] [-v] [--ignore-timestamps] [--error-frames] [-g GAP] [-s SKIP] ... input-file

Replay CAN traffic.

  positional arguments:

extra_args
    The remaining arguments will be used for the interface and logger/player initialisation. For example, `-i vector -c 1 --app-name=MyCanApp` is the equivalent to opening the bus with `Bus('vector', channel=1, app_name='MyCanApp')

input-file
    The file to replay. For supported types see can.LogReader.

  options:

-h, --help
    show this help message and exit

-c CHANNEL, --channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0". With the socketcan interface valid channel examples include: "can0", "vcan0".

-i {canalystii,cantact,etas,gs_usb,iscan,ixxat,kvaser,neousys,neovi,nican,nixnet,pcan,robotell,seeedstudio,serial,slcan,socketcan,socketcand,systec,udp_multicast,usb2can,vector,virtual}, --interface {canalystii,cantact,etas,gs_usb,iscan,ixxat,kvaser,neousys,neovi,nican,nixnet,pcan,robotell,seeedstudio,serial,slcan,socketcan,socketcand,systec,udp_multicast,usb2can,vector,virtual}
    Specify the backend CAN interface to use. If left blank, fall back to reading from configuration files.

-b BITRATE, --bitrate BITRATE
    Bitrate to use for the CAN bus.

--fd
    Activate CAN-FD support

--data_bitrate DATA_BITRATE
    Bitrate to use for the data phase in case of CAN-FD.

-f LOG_FILE, --file_name LOG_FILE
    Path and base log filename, for supported types see can.LogReader.

-v  Also print can frames to stdout. You can add several of these to enable debugging

--ignore-timestamps
    Ignore timestamps (send all frames immediately with minimum gap between frames)

--error-frames
    Also send error frames to the interface.

-g GAP, --gap GAP
    <s> minimum time between replayed frames

-s SKIP, --skip SKIP
    <s> skip gaps greater than 's' seconds